Subject: Re: bug#70465: [PATCH] Add font-locking rule for Rust function signatures

From: Eli Zaretskii <[email-masked]>
Date: Fri, 19 Apr 2024 20:35:19 +0300

> From: Noah Peart <[email-masked]>
> Date: Fri, 19 Apr 2024 09:47:38 -0700
> Cc: Yuan Fu <[email-masked]>, [email-masked]
> 
> > Please be sure to add the bug number to the commit log message when
> you install this.
> 
> When submitting a patch, is there an easy way to add the bug number to
> the commit?

Only after you get the bug report back from the bug tracker.  When you
send the first message which creates a new bug report, you cannot know
it.  So we only ask people to add the bug number if they submit a
revised patch, because at that point the number is already known.
When an original patch is installed, the person who pushes it must do
a "git commit --amend" to edit the commit log message to add the bug
number.